//+------------------------------------------------------------------+
//|                                                  Equity_test.mq4 |
//|                                         Copyright  2008, Xupypr |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Xupypr"

#property indicator_separate_window
#property indicator_buffers 4
#property indicator_color1 OrangeRed
#property indicator_color2 DodgerBlue
#property indicator_color3 SlateGray
#property indicator_color4 LimeGreen
#property indicator_width1 2
#property indicator_width2 1
#property indicator_width3 1
#property indicator_width4 1

extern bool Show_Balance=true;
extern bool Show_Equity=true;
extern bool Show_Margin=false;
extern bool Show_Free=false;

double Balance[],Equity[],Margin[],Free[];

//+----------------------------------------------------------------------------+
//|  Custom indicator initialization function                                  |
//+----------------------------------------------------------------------------+
int init()
{
 SetIndexBuffer(0,Balance);
 SetIndexLabel(0,"Balance");
 SetIndexStyle(0,DRAW_LINE);
 SetIndexBuffer(1,Equity);
 SetIndexLabel(1,"Equity");
 SetIndexStyle(1,DRAW_LINE);
 SetIndexBuffer(2,Margin);
 SetIndexLabel(2,"Margin");
 SetIndexStyle(2,DRAW_LINE);
 SetIndexBuffer(3,Free);
 SetIndexLabel(3,"Free");
 SetIndexStyle(3,DRAW_LINE);
 IndicatorDigits(2);
 return(0);
}
//+----------------------------------------------------------------------------+
//|  Custom indicator iteration function                                       |
//+----------------------------------------------------------------------------+
int start()
{
 if (Show_Balance) Balance[0]=GlobalVariableGet("Balance");
 if (Show_Equity)  Equity[0]=GlobalVariableGet("Equity");
 if (Show_Margin)  Margin[0]=GlobalVariableGet("Margin");
 if (Show_Free)    Free[0]=GlobalVariableGet("Free");
 return(0);
}